<script lang="ts">
import { SlpColumn, SlpContainer } from '../common/index.vue';
import FeaturesCategories from './features-categories.vue';

export default {
  name: 'FeaturesCopyMedia',
  components: { FeaturesCategories, SlpContainer, SlpColumn },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
};
</script>

<template>
  <SlpContainer
    class="features-cm"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpRow>
      <SlpColumn :cols="6" class="features-cm__copy">
        <div class="features-cm__header">
          <img class="slp-mr-24" :src="data.icon_url" alt="" />
          <SlpTypography v-if="data.header" tag="h2" variant="heading3"
            >{{ data.header }}
          </SlpTypography>
        </div>
        <SlpTypography
          v-if="data.subtitle"
          class="slp-mb-24"
          tag="p"
          variant="body1"
          >{{ data.subtitle }}
        </SlpTypography>
        <SlpTypography
          v-if="data.text"
          class="slp-mb-32"
          tag="p"
          variant="body1"
          >{{ data.text }}
        </SlpTypography>
        <FeaturesCategories v-if="data.image" :categories="data.categories" />
      </SlpColumn>
      <SlpColumn :cols="6">
        <div class="features-cm__media">
          <img v-if="data.image" :src="data.image.url" :alt="data.image.alt" />
          <FeaturesCategories
            v-else
            class="slp-mt-64"
            :categories="data.categories"
          />
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.features-cm {
  padding: 0;
  margin-bottom: $spacing-32;

  @media (min-width: $breakpoint-md) {
    padding: $spacing-8;
  }

  &__copy {
    padding-right: $spacing-16;
  }

  &__header {
    margin-bottom: $spacing-24;
    display: flex;
  }

  &__media {
    display: none;

    @media (min-width: $breakpoint-md) {
      display: flex;
    }

    img {
      max-width: 100%;
      padding: $spacing-16 0;
    }
  }
}
</style>
